import request from '@/utils/request'

// 客户需求解决方案列表
export function apiCustomerDemandSolutionLists(params: any) {
    return request.get({ url: '/custom.customer_demand_solution/lists', params })
}

// 添加客户需求解决方案
export function apiCustomerDemandSolutionAdd(params: any) {
    return request.post({ url: '/custom.customer_demand_solution/add', params })
}

// 编辑客户需求解决方案
export function apiCustomerDemandSolutionEdit(params: any) {
    return request.post({ url: '/custom.customer_demand_solution/edit', params })
}

// 删除客户需求解决方案
export function apiCustomerDemandSolutionDelete(params: any) {
    return request.post({ url: '/custom.customer_demand_solution/delete', params })
}

// 客户需求解决方案详情
export function apiCustomerDemandSolutionDetail(params: any) {
    return request.get({ url: '/custom.customer_demand_solution/detail', params })
}

//获取某个项目id的客户需求列表

export function getListByProjectId(params: any) {
    return request.get({ url: '/custom.customer_demand/getListByProjectId', params })
}